Page MenuHomeFreeBSD

Cirrus-CI: forcably upgrade pkg to latest
ClosedPublic

Authored by brooks on Dec 5 2023, 6:01 PM.
Tags
None
Referenced Files
Unknown Object (File)
Thu, Feb 15, 8:56 AM
Unknown Object (File)
Jan 17 2024, 4:02 AM
Unknown Object (File)
Jan 12 2024, 10:49 PM
Unknown Object (File)
Jan 1 2024, 4:32 PM
Unknown Object (File)
Dec 28 2023, 4:19 PM
Unknown Object (File)
Dec 6 2023, 1:46 AM

Details

Summary

make packages requires the latest pkg for now so force that.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

brooks requested review of this revision.Dec 5 2023, 6:01 PM

Or if someone from ports can MFC pkg into quarterly, even better. But this is good for now. Thank you!

# XXX Remove current and uncomment below once 2024Q1 has branched out
# upgrade_pkg_script:
# - pkg upgrade -y pkg
upgrade_pkg_script:
- fetch http://pkg.freebsd.org/FreeBSD:13:amd64/latest/All/pkg-1.20.9.pkg
- pkg install -y ./pkg-1.20.9.pkg
- rm -f pkg-1.20.9.pkg

Source: https://github.com/jlduran/freebsd-src/commit/d9a03c4f85cfec30c499b56cf57ff53e36917458

This revision was not accepted when it landed; it landed in state Needs Review.Dec 5 2023, 7:05 PM
This revision was automatically updated to reflect the committed changes.
markj added inline comments.
.cirrus.yml
79

Is there some reason not to use https here? I don't hit any problems if I make that change.

.cirrus.yml
79

Please do!
I just copy/pasted the URL on my browser and added the name of the package (http://pkg.freebsd.org) without noticing it had no TLS.